curl -X DELETE "https://api.scanova.io/custom-domain/42/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
自定义域名
删除自定义域名
DELETE /custom-domain//
DELETE
/
custom-domain
/
{pk}
/
curl -X DELETE "https://api.scanova.io/custom-domain/42/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
在 Management API 主机(
调用成功会返回
api.scanova.io)上将自定义域名从账户断开连接,使用您的原始 Management API 密钥进行身份验证。
DELETE https://api.scanova.io/custom-domain/{pk}/
Authorization: 401f7ac837da42b97f613d789819ff93537bee6a
需要
CUSTOM_DOMAIN_CAN_DELETE 权限。integer
必填
域名的
id。curl -X DELETE "https://api.scanova.io/custom-domain/42/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
204 No Content。
必须先解除与 QR 码的关联
如果该域名仍与任何 QR 码相关联(包括已放入回收站的),此调用会返回400,并附带 {"error": ["This domain is linked to QR Code(s)... Delete permanently the QR Code(s) first..."]},而不会删除域名。请先永久删除(而非仅放入回收站)相关联的 QR 码,然后重试。如果 pk 不是该账户拥有的域名,则返回 404。
相关内容
- 获取自定义域名——删除前检查是否有关联的 QR 码。
- 列出自定义域名——查看还连接了哪些域名。
- Management API 概览——适用于此端点的身份验证方案和配额规则。
授权
Send your Management API key as the raw value of the Authorization header — no "Bearer " or "Token " prefix, and no other characters. Example: Authorization: 401f7ac837da42b97f613d789819ff93537bee6a. A header containing more than one space-separated part is rejected outright. Requests also require the request's Host header to be the management API host (e.g. api.scanova.io) — the same key sent to the regular API host will not authenticate.
路径参数
响应
Domain removed.
此页面对您有帮助吗?